DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FeatureSize

Measure the object's area/volume

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeatureSizeID ( void )

## OUTPUT DATA TYPE

`dip_int`, `dip_float`

## FUNCTION

`dip_FeatureSizeID` returns the ID value of this measurement function, that is registered by `Initialise`.

This function measures the object's size by counting the number of pixels having the same object ID. This measure is the optimal procedure for estimating the area (2D) or volume (3D) of an object with an arbitrary size. The measurement value's unit are in pixels (pixels^2 in 2D, pixels^3 in 3D).

If a `dip_PhysicalDimensions` parameter is given to `Measure`, the size of the object is given in physical units, and is a `dip_float` rather than a `dip_int`.

## SEE ALSO

`Measure`

`FeatureAnisotropy2D`, `FeatureBendingEnergy`, `FeatureCenter`, `FeatureChainCodeBendingEnergy`, `FeatureConvexArea`, `FeatureConvexPerimeter`, `FeatureConvexity`, `FeatureDimension`, `FeatureExcessKurtosis`, `FeatureFeret`, `FeatureGinertia`, `FeatureGmu`, `FeatureGravity`, `FeatureInertia`, `FeatureLongestChaincodeRun`, `FeatureMass`, `FeatureMaxVal`, `FeatureMaximum`, `FeatureMean`, `FeatureMinVal`, `FeatureMinimum`, `FeatureMu`, `FeatureOrientation2D`, `FeatureP2A`, `FeaturePerimeter`, `FeatureRadius`, `FeatureShape`, `FeatureSize`, `FeatureSkewness`, `FeatureStdDev`, `FeatureSum`, `FeatureSurfaceArea`